#!/usr/bin/python
import pylab as pb
pb.ion()
import sys
import numpy as np
import matplotlib.pyplot as plt

pb.close('all')

viewport = [-1,10,-3,3]
pb.figure(1)
pb.grid('on')
pb.axis(viewport)
x = np.array([1, 2, 3, 4, 5, 5.8])
y = np.array([1, 1, 1, 1, 2, 2])
pb.savefig('gp_motivation1.png',transparent=True, bbox_inches='tight', pad_inches=0)


y_all = np.array([viewport[2],viewport[3]])
x_star = 6*np.ones(y_all.size)
pb.plot(x_star,y_all,'r')
pb.savefig('gp_motivation2.png',transparent=True, bbox_inches='tight', pad_inches=0)

pb.scatter(x[0],y[0],marker='o',c='k',s=[100])
pb.savefig('gp_motivation3.png',transparent=True, bbox_inches='tight', pad_inches=0)
pb.scatter(x[4],y[4],marker='o',c='k',s=[100])
pb.savefig('gp_motivation4.png',transparent=True, bbox_inches='tight', pad_inches=0)

pb.scatter(x[5],y[5],marker='o',c='k',s=[100])
pb.savefig('gp_motivation5.png',transparent=True, bbox_inches='tight', pad_inches=0)
